package com.sf.day08;

import com.sf.day08.thisandsuper.Student;

public class Son extends Father{
    private Integer id;

    public Son() {

    }


    public Son(String name, Integer id) {
        super(name);
        this.id = id;
        System.out.println("我是子类有参构造器");
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "Son{" +
                "id=" + id +
                '}';
    }


    public static void main(String[] args) {


    }
}
